OTBCLI_CLASSIFICATIONMAPREGULARIZATION(1)

NAME
otbcli_ClassificationMapRegularization - OTB ClassificationMapRegularization application

DESCRIPTION
This is the ClassificationMapRegularization application, version 5.2.0 Filters the input labeled image using Majority Voting in a ball shaped neighbordhood.

Complete documentation: http://www.orfeo-toolbox.org/Applications/ClassificationMapRegularization.html

  Parameters:

-progress
    <boolean> Report progress

 -io.in <string> Input classification image (mandatory)
 -io.out <string> [pixel] Output regularized image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is uint8) (mandatory)

-ip.radius
    <int32> Structuring element radius (in pixels) (mandatory, default value is 1)

-ip.suvbool
    <boolean> Multiple majority: Undecided(X)/Original (optional, off by default)

-ip.nodatalabel
    <int32> Label for the NoData class (mandatory, default value is 0)

-ip.undecidedlabel <int32>
    Label for the Undecided class (mandatory, default value is 0)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_ClassificationMapRegularization -io.in clLabeledImageQB123_1.tif -io.out clLabeledImageQB123_1_CMR_r2_nodl_10_undl_7.tif -ip.radius 2 -ip.suvbool true -ip.nodatalabel 10 -ip.undecidedlabel 7

SEE ALSO
The full documentation for otbcli_ClassificationMapRegularization is maintained as a Texinfo manual. If the info and otbcli_ClassificationMapRegularization programs are properly installed at your site, the command

    info otbcli_ClassificationMapRegularization

should give you access to the complete manual.